Subject: Re: bug#47297: Release 1.2.1 checklist: eolie (manual example)

From: zimoun <[email-masked]>
Date: Wed, 24 Mar 2021 19:52:40 +0100

Hi Leo,

On Wed, 24 Mar 2021 at 14:16, Leo Famulari <[email-masked]> wrote:
> On Wed, Mar 24, 2021 at 10:20:06AM +0100, zimoun wrote:
>> Another one:
>> 
>> <https://bugs.gnu.org/47097>
>> <https://bugs.gnu.org/47106>
>> Eolie and Ephinay in container
>
> This "release checklist" is about fixing bugs that shouldn't go into a
> release.
>
> Those bugs look more like bugs that would be nice to fix, but not very
> important.
>
> Of course, if somebody fixes them, they will be in the release. But
> should they block the release?

To me they are very important because ’eolie’ is in the manual:

--8<---------------cut here---------------start------------->8---
guix environment --preserve='^DISPLAY$' --container --network \
  --expose=/etc/machine-id \
  --expose=/etc/ssl/certs/ \
  --share=$HOME/.local/share/eolie/=$HOME/.local/share/eolie/ \
  --ad-hoc eolie nss-certs dbus --  eolie
--8<---------------cut here---------------end--------------->8---

<https://guix.gnu.org/manual/devel/en/guix.html#Invoking-guix-environment>

Therefore, from my point of view, we have only 2 options:

 1- change the example in the manual
 2- fix eolie.

Otherwise, I am not comfortable to release broken examples.  Since
releasing a rolling release is more about advertisement and attract new
users, having broken examples is something really confusing––not to say
unacceptable—–for these new users.

Cheers,
simon